#### D.8.7.17 realLLL

Procedure from library `recover.lib` (see recover_lib).

Usage:
  realLLL(M); matrix M

Assume:
  The columns of M represent a basis of a lattice.
  The groundfield is the field of real number or the field of complex numbers, the elements of M are real numbers.

Return:
  matrix: the columns representing an LLL-reduced basis of the lattice given by M

Example:

    LIB "recover.lib";
    ring r=(real,50),x,dp;
    matrix M[5][4]=
    1,0,0,0,
    0,1,0,0,
    0,0,1,0,
    0,0,0,1,
    5*81726716.91827716, 817267.1691827716, poly(10)**30, 13*81726716.91827716;
    matrix L=realLLL(M);
    print(L);

User manual for Singular version 4.4.1, 2025, generated by texi2html.